#!/bin/bash


## Stream list updated 30.10.2012 ######################################
STREAMLIST='
RSI LA1- Svizzera Italiana| -r "rtmp://cp108478.live.edgefcs.net/live" -W "http://www.wilmaa.com/player/main_v5.033.swf" -p "http://www.wilmaa.com" --live -y "rsila1_1_800@45513" -x "927444" -w "6c1be1765187eae0bc9af07d858fae59a0effd3c5b803d08db261ced2c5512bb"
RSI LA2- Svizzera Italiana| -r "rtmp://cp108478.live.edgefcs.net/live" -W "http://www.wilmaa.com/player/main_v5.033.swf" -p "http://www.wilmaa.com" --live -y "rsila2_2_800@45514" -x "927444" -w "6c1be1765187eae0bc9af07d858fae59a0effd3c5b803d08db261ced2c5512bb"
Al Jazeera English| -v -r rtmp://aljazeeraflashlivefs.fplive.net/aljazeeraflashlive-live/aljazeera_eng_med
BBC World News| -v -r rtmp://a.cdn.msnbclive.eu/edge/bbcworld_vh -W http://msnbclive.eu/getswf.php?name=player.swf -p http://blog.livenewschat.tv/world-newsroom
CNN International News| -v -r rtmp://a.cdn.msnbclive.eu/edge/cnni_live -W http://msnbclive.eu/getswf.php?name=player.swf -p http://blog.livenewschat.tv/international-room-chat
EUROSport| -v -r "rtmp://cp108478.live.edgefcs.net/live/eurosport_1_300@45515" -x "927772" -w "c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
FRANCE 2| -v -r "rtmp://cp108476.live.edgefcs.net/live/france2_1_800@45496" -x "927772" -w "c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
FRANCE 3| -v -r "rtmp://cp108476.live.edgefcs.net/live/france3_1_800@45499" -x "927772" -w "c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
FRANCE 5| -v -r "rtmp://cp108476.live.edgefcs.net/live/france5_1_800@45501" -x "927772" -w"c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
RTS un- Svizzera Francese| -v -r "rtmp://cp115491.live.edgefcs.net/live/tsr1_1_800@45522" -x "927772" -w "c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
RTS deux- Svizzera Francese| -v -r "rtmp://cp115491.live.edgefcs.net/live/tsr2_1_800@45523" -x "927772" -w "c5508d4c14a86bfa902ec749eb544d0c260f9fed9993ed712c7d905506ef47f8"
RTE 1- Ireland| -v -r "rtmpte://fmsod.rte.ie/live/rte1" -W "http://www.rte.ie/static/player/swf/osmf2_541_2012_11_14.swf" -p "http://www.rte.ie/player/"
RTE 1n- Ireland| -v -r "rtmp://fmsod.rte.ie:1935/live" -y "rte1" -W "http://www.rte.ie/static/player/swf/osmf2_541_2012_11_14.swf" -p "http://www.rte.ie/player/nl/live/8/"
RTE 2- Ireland| -v -r "rtmpte://fmsod.rte.ie/live/rte2" -W "http://www.rte.ie/static/player/swf/osmf2_541_2012_11_14.swf" -p "http://www.rte.ie/player/"
RTE 2n- Ireland| -v -r "rtmp://fmsod.rte.ie:1935/live" -y "rte2" -W "http://www.rte.ie/static/player/swf/osmf2_541_2012_11_14.swf" -p "http://www.rte.ie/player/nl/live/8/" 
'
########################################################################

IFS=$'\n'

clear

  tput smul
   echo ""
   echo ":: Streaming Media Player ::"
   echo ":: Select Channel to Play ::"
   tput rmul
   echo ""
   
   ## selection entry text
   PS3="`tput bold`Enter Station Number To Play > `tput sgr0`"
   
   select STREAM in `echo "$STREAMLIST" | cut -d"|" -f1 | sort`  "Quit" ; do
   
    [[ "$STREAM" == "Quit" ]] && echo "Goodbye...." && exit         ## exit script
   
    ## get stream command / urls
    GETURL=`echo "$STREAMLIST" | grep -w -m1 "^$STREAM" | cut -d"|" -f2`
   
    if [[ -n "$GETURL" ]]; then
    ## show selected channel name
    tput smso &&  echo " >:Attempt connection to video stream $STREAM:< "  && tput rmso
    ## play stream - remove -q to see what rtmpdump is doing - change media player here   
    eval rtmpdump -q "$GETURL" | vlc -  &>/dev/null
    else
    ## no selection message
    tput setf 4 && echo "Not a menu entry - please select again" && tput sgr0
    fi
 
 done